package com.qmth.sop.business.bean.params;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: sop发布param
 * @Param:
 * @return:
 * @Author: wngliang
 * @Date: 2023/9/4
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class SopPublishParam extends FlowApproveParam implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "sop单号")
    private String sopNo;

    public String getSopNo() {
        return sopNo;
    }

    public void setSopNo(String sopNo) {
        this.sopNo = sopNo;
    }
}
