package com.qmth.sop.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.sop.business.entity.SysDeviceBrand;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Param;
import java.util.Map;

/**
 * 设备品牌表 Mapper 接口.
 * 
 * @author: shudonghui
 * @date: 2023-08-25 10:29:07
 * @version: 1.0
 * @email: shudonghui@qmth.com.cn
 * @Company: www.qmth.com.cn
 */
public interface SysDeviceBrandMapper extends BaseMapper<SysDeviceBrand> {

	/**
	 * 查询列表
	 * @param iPage
	 * @return
	 */
	public IPage<SysDeviceBrand> query(IPage<Map> iPage, @Param("query") String query);

}