package com.qmth.sop.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.sop.business.entity.SysDingDate;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Param;
import java.util.Map;

/**
 * 考勤特殊日期 Mapper 接口.
 * 
 * @author: shudonghui
 * @date: 2023-08-15 10:03:13
 * @version: 1.0
 * @email: shudonghui@qmth.com.cn
 * @Company: www.qmth.com.cn
 */
public interface SysDingDateMapper extends BaseMapper<SysDingDate> {

	/**
	 * 查询列表
	 * @param iPage
	 * @return
	 */
	public IPage<SysDingDate> query(IPage<Map> iPage, @Param("query") String query);

}