package com.qmth.sop.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.sop.business.bean.result.SysLevelRoleResult;
import com.qmth.sop.business.entity.SysLevelRole;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 服务档位角色配置表 Mapper 接口.
 * 
 * @author: shudonghui
 * @date: 2023-08-09 15:52:52
 * @version: 1.0
 * @email: shudonghui@qmth.com.cn
 * @Company: www.qmth.com.cn
 */
public interface SysLevelRoleMapper extends BaseMapper<SysLevelRole> {


    List<SysLevelRoleResult> getList(@Param("levelId") Long levelId);
}