package com.qmth.sop.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.sop.business.bean.dto.OrgDto;
import com.qmth.sop.business.entity.SysOrg;

import java.util.List;

/**
 * <p>
 * 学校组织架构 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2023-07-17
 */
public interface SysOrgMapper extends BaseMapper<SysOrg> {

    /**
     * 获取所有机构
     *
     * @return
     */
    List<OrgDto> listOrgAll();
}
