package com.qmth.sop.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.sop.business.entity.SysSupplier;
import org.apache.ibatis.annotations.Param;
import java.util.Map;

/**
 * 供应商表 Mapper 接口.
 * 
 * @author: shudonghui
 * @date: 2023-08-02 14:18:39
 * @version: 1.0
 * @email: shudonghui@qmth.com.cn
 * @Company: www.qmth.com.cn
 */
public interface SysSupplierMapper extends BaseMapper<SysSupplier> {

	/**
	 * 查询列表
	 * @param iPage
	 * @return
	 */
	public IPage<SysSupplier> query(IPage<Map> iPage);

}