package com.qmth.sop.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.sop.business.entity.TSAuth;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 激活授权配置表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2023-08-07
 */
public interface TSAuthMapper extends BaseMapper<TSAuth> {

    /**
     * 查询最后激活信息
     *
     * @param authEnum
     * @return
     */
    TSAuth lastAuthInfo(@Param("authEnum") String authEnum);
}
