package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.entity.BasicVerifyCode;
import com.qmth.sop.business.entity.SysUser;

/**
 * <p>
 * 短信验证码记录表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2023-08-01
 */
public interface BasicVerifyCodeService extends IService<BasicVerifyCode> {

    /**
     * 发送验证码
     * @param mobileNumber
     * @param sysUser
     * @return
     */
    public Boolean sendVeirfyCode(String mobileNumber, SysUser sysUser);
}
