package com.qmth.sop.business.service;

import com.qmth.sop.business.entity.SysUser;

/**
 * @Description: 单点登录接口
 * @Author: CaoZixuan
 * @Date: 2023-11-22
 */
public interface SsoService {

    /**
     * 软通智能客服单点登录
     *
     * @param requestUser 请求用户
     * @return 拼接好的单点登录跳转地址
     */
    String rtzfSsoLogin(SysUser requestUser);
}
