package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.bean.result.SysCustomResult;
import com.qmth.sop.business.entity.SysCustom;
import com.qmth.sop.common.enums.ProductTypeEnum;

import java.util.Map;

/**
 * 客户表 服务类
 *
 * @author: shudonghui
 * @date: 2023-08-02 11:55:19
 * @version: 1.0
 * @email: shudonghui@qmth.com.cn
 * @Company: www.qmth.com.cn
 */
public interface SysCustomService extends IService<SysCustom>{

    /**
    * 查询列表
    *
    * @param iPage
    * @return
    */
    IPage<SysCustomResult>  query(Page<Map> iPage, ProductTypeEnum type, Long managerId, String name, Long levelId);

    void delete(Long id);

    boolean saveCustom(SysCustomResult sysCustom);
}