package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.entity.SysDeviceModel;
import java.util.Map;

/**
 * 设备品牌型号表 服务类
 *
 * @author: shudonghui
 * @date: 2023-08-25 10:29:08
 * @version: 1.0
 * @email: shudonghui@qmth.com.cn
 * @Company: www.qmth.com.cn
 */
public interface SysDeviceModelService extends IService<SysDeviceModel>{

    /**
    * 查询列表
    *
    * @param iPage
    * @return
    */
    IPage<SysDeviceModel> query(IPage<Map> iPage,String query);

    /**
    * 新增修改设备品牌型号表
    *
    * @param sysDeviceModel
    */
    Boolean saveSysDeviceModel(SysDeviceModel sysDeviceModel);


    /**
    * 删除设备品牌型号表
    *
    * @param id
    */
    Boolean delete(Long id);


}