package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.bean.dto.TBSopPlanDateLogDto;
import com.qmth.sop.business.entity.TBSopPlanDateLog;

import java.util.List;

/**
 * <p>
 * sop进程计划时间日志表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2023-11-20
 */
public interface TBSopPlanDateLogService extends IService<TBSopPlanDateLog> {

    /**
     * 查找sop计划时间
     *
     * @param serviceId
     * @return
     */
    List<TBSopPlanDateLogDto> findSopPlanDateLog(Long serviceId);
}
