package com.qmth.sop.business.service;

import com.qmth.sop.business.entity.SysUser;
import com.qmth.sop.business.entity.TBUserArchivesSupplier;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 人员档案与供应商表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2023-08-01
 */
public interface TBUserArchivesSupplierService extends IService<TBUserArchivesSupplier> {

    List<SysUser> findUsers(Long supplierId);

    Integer countAuthentication();
}
