package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.bean.result.FlowFormWidgetResult;
import com.qmth.sop.business.entity.TDFormWidget;
import com.qmth.sop.common.enums.TFCustomTypeEnum;

import java.util.List;

/**
 * <p>
 * 动态表单控件表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2023-07-17
 */
public interface TDFormWidgetService extends IService<TDFormWidget> {

    /**
     * 流程控件查询
     *
     * @param flowType
     * @param formSetup
     * @return
     */
    List<FlowFormWidgetResult> flowWidgetQuery(TFCustomTypeEnum flowType, Integer formSetup);
}
