package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.bean.result.TFFlowLogResult;
import com.qmth.sop.business.entity.TFFlowLog;

import java.util.List;

/**
 * <p>
 * 流程流水表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2023-07-17
 */
public interface TFFlowLogService extends IService<TFFlowLog> {

    /**
     * 根据实体id查询
     *
     * @param objectId
     * @return
     */
    List<TFFlowLogResult> findByObjectId(Long objectId);

    /**
     * 查询最后一条日志审批记录
     *
     * @param flowId
     * @return
     */
    TFFlowLog findByLastFlowLog(Long flowId);

    /**
     * 查询最后一条日志审批记录
     *
     * @param flowId
     * @return
     */
    String findByLastFlowLogApproveUser(Long flowId);
}
