package com.qmth.sop.business.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.boot.api.exception.ApiException;
import com.qmth.sop.business.bean.result.SysLevelRoleResult;
import com.qmth.sop.business.entity.SysLevelRole;
import com.qmth.sop.business.entity.SysUser;
import com.qmth.sop.business.mapper.SysLevelRoleMapper;
import com.qmth.sop.business.service.SysLevelRoleService;
import com.qmth.sop.common.contant.SystemConstant;
import com.qmth.sop.common.enums.ExceptionResultEnum;
import com.qmth.sop.common.enums.FieldUniqueEnum;
import com.qmth.sop.common.util.ResultUtil;
import com.qmth.sop.common.util.ServletUtil;
import org.springframework.dao.DuplicateKeyException;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Objects;

/**
 * 服务档位角色配置表 服务实现.
 *
 * @author: shudonghui
 * @date: 2023-08-09 15:52:52
 * @version: 1.0
 * @email: shudonghui@qmth.com.cn
 * @Company: www.qmth.com.cn
 */
@Service
public class SysLevelRoleServiceImpl extends ServiceImpl<SysLevelRoleMapper, SysLevelRole> implements SysLevelRoleService{


    @Override
    public List<SysLevelRoleResult> getList(Long levelId) {
        return this.baseMapper.getList(levelId);
    }


}