package com.qmth.sop.task.job;

import com.qmth.sop.task.job.service.JobService;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.scheduling.quartz.QuartzJobBean;

import javax.annotation.Resource;

/**
 * @Description: 序列重置job
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/7/9
 */
public class SequenceJob extends QuartzJobBean {
    private final static Logger log = LoggerFactory.getLogger(SequenceJob.class);

    @Resource
    JobService jobService;

    @Override
    protected void executeInternal(JobExecutionContext context) throws JobExecutionException {
        jobService.sequenceReset();
    }
}
