package com.qmth.sop.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.sop.business.entity.SysCustomAddr;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Param;
import java.util.Map;

/**
 * 客户表 Mapper 接口.
 * 
 * @author: shudonghui
 * @date: 2023-08-30 08:30:31
 * @version: 1.0
 * @email: shudonghui@qmth.com.cn
 * @Company: www.qmth.com.cn
 */
public interface SysCustomAddrMapper extends BaseMapper<SysCustomAddr> {

	/**
	 * 查询列表
	 * @param iPage
	 * @return
	 */
	public IPage<SysCustomAddr> query(IPage<Map> iPage, @Param("query") String query);

}