package com.qmth.sop.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.sop.business.bean.result.SysLevelResult;
import com.qmth.sop.business.entity.SysLevel;
import org.apache.ibatis.annotations.Param;
import java.util.Map;

/**
 * 档位表 Mapper 接口.
 * 
 * @author: shudonghui
 * @date: 2023-08-02 14:21:11
 * @version: 1.0
 * @email: shudonghui@qmth.com.cn
 * @Company: www.qmth.com.cn
 */
public interface SysLevelMapper extends BaseMapper<SysLevel> {

	/**
	 * 查询列表
	 * @param iPage
	 * @return
	 */
	public IPage<SysLevelResult> query(IPage<Map> iPage);

}