package com.qmth.sop.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.sop.business.bean.result.SysNoticeResult;
import com.qmth.sop.business.entity.SysNotice;
import com.qmth.sop.common.enums.NoticeTypeEnum;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * 公告表 Mapper 接口.
 *
 * @author: shudonghui
 * @date: 2023-08-07 13:53:29
 * @version: 1.0
 * @email: shudonghui@qmth.com.cn
 * @Company: www.qmth.com.cn
 */
public interface SysNoticeMapper extends BaseMapper<SysNotice> {

    /**
     * 查询列表
     *
     * @param iPage
     * @return
     */
    public IPage<SysNoticeResult> query(IPage<Map> iPage, @Param("query") String query, @Param("status") String status, @Param("type") String type, @Param("startTime") Long startTime, @Param("endTime") Long endTime);

}