package com.qmth.sop.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.sop.business.bean.dto.TBSopPlanDateLogDto;
import com.qmth.sop.business.entity.TBSopPlanDateLog;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * sop进程计划时间日志表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2023-11-20
 */
public interface TBSopPlanDateLogMapper extends BaseMapper<TBSopPlanDateLog> {

    /**
     * 查找sop计划时间
     *
     * @param serviceId
     * @return
     */
    List<TBSopPlanDateLogDto> findSopPlanDateLog(@Param("serviceId") Long serviceId);
}
