package com.qmth.sop.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.sop.business.bean.result.FormWidgetMetadataResult;
import com.qmth.sop.business.entity.TDFormWidgetMetadata;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 动态表单元数据表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2023-08-29
 */
public interface TDFormWidgetMetadataMapper extends BaseMapper<TDFormWidgetMetadata> {

//    /**
//     * 根据流程类型删除数据
//     *
//     * @param type
//     * @return
//     */
//    @InterceptorIgnore(blockAttack = "true")
//    @Delete("delete t from t_d_form_widget_metadata t where t.type = '${type}'")
//    Boolean deleteAllData(@Param("type") String type);

    /**
     * 查询所有sop元数据
     *
     * @param type
     * @param version
     * @return
     */
    List<FormWidgetMetadataResult> getFormWidgetMetadataResult(@Param("type") String type, @Param("version") Integer version);
}
