package com.qmth.sop.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.sop.business.entity.TFCustomFlow;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 自定义流程表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2023-07-17
 */
public interface TFCustomFlowMapper extends BaseMapper<TFCustomFlow> {

    /**
     * 查询版本号
     *
     * @param orgId
     * @param flowName
     * @param type
     * @return
     */
    TFCustomFlow findMaxVersion(@Param("orgId") Long orgId, @Param("flowName") String flowName, @Param("type") String type);

    /**
     * 查询流程部署信息
     *
     * @return
     */
    List<TFCustomFlow> findFlowDeploymentList();
}
