package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.entity.SysConfig;

import java.util.List;

/**
 * <p>
 * 参数表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2023-07-17
 */
public interface SysConfigService extends IService<SysConfig> {

    /**
     * 查询所有系统配置项
     *
     * @return
     */
    List<SysConfig> selectAll();

    /**
     * 根据key查询系统配置参数
     *
     * @param configKey key
     * @return 系统配置
     */
    SysConfig findByConfigKey(String configKey);
}
