package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.entity.SysCustomAddr;
import java.util.Map;

/**
 * 客户表 服务类
 *
 * @author: shudonghui
 * @date: 2023-08-30 08:30:31
 * @version: 1.0
 * @email: shudonghui@qmth.com.cn
 * @Company: www.qmth.com.cn
 */
public interface SysCustomAddrService extends IService<SysCustomAddr>{

    /**
    * 查询列表
    *
    * @param iPage
    * @return
    */
    IPage<SysCustomAddr> query(IPage<Map> iPage,String query);

    /**
    * 新增修改客户表
    *
    * @param sysCustomAddr
    */
    Boolean saveSysCustomAddr(SysCustomAddr sysCustomAddr);


    /**
    * 删除客户表
    *
    * @param id
    */
    Boolean delete(Long id);


}