package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.bean.dto.PrivilegeDto;
import com.qmth.sop.business.entity.SysPrivilege;

import java.util.Collection;
import java.util.List;

/**
 * <p>
 * 菜单权限表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2023-07-17
 */
public interface SysPrivilegeService extends IService<SysPrivilege> {

    /**
     * 获取所有权限
     *
     * @return
     */
    List<PrivilegeDto> listPrivilegeTree();

    /**
     * 获取菜单树公用
     *
     * @param sysPrivilegeList
     * @return
     */
    Collection<?> getMenuTreeCommon(Collection<?> sysPrivilegeList);
}
