package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.entity.SysRole;
import com.qmth.sop.business.entity.SysRolePrivilege;

/**
 * <p>
 * 角色和菜单关联表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2023-07-17
 */
public interface SysRolePrivilegeService extends IService<SysRolePrivilege> {

    /**
     * 批量保存角色权限
     *
     * @param role
     * @return
     */
    Boolean saveBatch(SysRole role);
}
