package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.entity.TBDelayWarnDetail;

import java.util.List;

/**
 * 延期预警明细表 服务类
 *
 * @author: shudonghui
 * @date: 2023-08-08 16:02:21
 * @version: 1.0
 * @email: shudonghui@qmth.com.cn
 * @Company: www.qmth.com.cn
 */
public interface TBDelayWarnDetailService extends IService<TBDelayWarnDetail>{


    /**
    * 新增修改延期预警明细表
    *
    * @param tBDelayWarnDetail
    */
    Boolean saveTBDelayWarnDetail(TBDelayWarnDetail tBDelayWarnDetail);


    List<TBDelayWarnDetail> list(long id);
}