package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.entity.TFCustomFlowAllocation;
import com.qmth.sop.common.enums.RoleTypeEnum;

import java.util.List;

/**
 * <p>
 * 流程角色分配表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2023-10-18
 */
public interface TFCustomFlowAllocationService extends IService<TFCustomFlowAllocation> {

    /**
     * 根据流程步骤获取审批角色
     *
     * @param roleAllocation
     * @param setup
     * @return
     */
    public List<RoleTypeEnum> getRoleTypes(String roleAllocation, Integer setup);
}
