package com.qmth.sop.business.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.sop.business.bean.dto.TBSopPlanDateLogDto;
import com.qmth.sop.business.entity.TBSopPlanDateLog;
import com.qmth.sop.business.mapper.TBSopPlanDateLogMapper;
import com.qmth.sop.business.service.TBSopPlanDateLogService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * sop进程计划时间日志表 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2023-11-20
 */
@Service
public class TBSopPlanDateLogServiceImpl extends ServiceImpl<TBSopPlanDateLogMapper, TBSopPlanDateLog> implements TBSopPlanDateLogService {

    /**
     * 查找sop计划时间
     *
     * @param serviceId
     * @return
     */
    @Override
    public List<TBSopPlanDateLogDto> findSopPlanDateLog(Long serviceId) {
        return this.baseMapper.findSopPlanDateLog(serviceId);
    }
}
