package com.qmth.sop.business.service.impl;

import com.qmth.sop.business.entity.SysUser;
import com.qmth.sop.business.entity.TBUserArchivesSupplier;
import com.qmth.sop.business.mapper.TBUserArchivesSupplierMapper;
import com.qmth.sop.business.service.TBUserArchivesSupplierService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 人员档案与供应商表 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2023-08-01
 */
@Service
public class TBUserArchivesSupplierServiceImpl extends ServiceImpl<TBUserArchivesSupplierMapper, TBUserArchivesSupplier> implements TBUserArchivesSupplierService {

    @Override
    public List<SysUser> findUsers(Long supplierId) {
        return this.baseMapper.findUsersBySupplierId(supplierId) ;
    }

    @Override
    public Integer countAuthentication() {
        return this.baseMapper.countAuthentication() ;
    }
}
