SET NAMES utf8mb4;

DROP TABLE IF EXISTS #{dynamicTable};
CREATE TABLE #{dynamicTable} (
         `type` varchar(20) NOT NULL COMMENT '流程类型，OFFICE_SOP_FLOW：教务处SOP，CLOUD_MARK_SOP_FLOW：研究生SOP，DING_EXCEPTION_FLOW：考勤异常审核流程，PROJECT_EXCHANGE_FLOW：项目计划变更流程，QUALITY_PROBLEM_FLOW：质量问题反馈流程',
         `flow_deployment_id` VARCHAR(50) NOT NULL COMMENT '流程部署id',
         `version` int NOT NULL DEFAULT '1' COMMENT '版本号',
         `code` VARCHAR(30) DEFAULT NULL COMMENT '流程编号',
         `flow_id` bigint DEFAULT NULL COMMENT '流程id',
         #{dynamicFields}
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='sop动态字段表';